@import './variables.css';

html {
  background-color: var(--color-bg);
  box-sizing: border-box;
  color: var(--color-base);
  font-size: var(--font-base-size);
  font-family: var(--font-family);
  font-weight: var(--fw-base);
  line-height: var(--line-height);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  font-size: var(--font-size-0);
}

/* headings */
:--headings {
  color: var(--color-heading);
  font-weight: var(--fw-bold);
  font-family: var(--font-family-heading);
  line-height: var(--line-height-heading);
}

h1,
.h1 {
  font-size: var(--font-size-3);
  font-weight: var(--fw-medium);
  margin-bottom: 1rem;
  margin-top: 0;
  text-align: center;
}

h2,
.h2 {
  font-size: var(--font-size-2);
  margin-top: 2rem;
  margin-bottom: 0.5rem;
}

h3,
.h3 {
  font-size: var(--font-size-1);
  margin-bottom: 0.5rem;
}

/* text body */
p {
  font-size: var(--font-size-0);
  margin: 0;
}

p + p {
  margin-top: 0.75rem;
}

small {
  font-size: var(--font-size-sub-1);
}

a {
  color: var(--color-link);
  transition: all 0.25s ease-in-out;
}

a:hover {
  color: var(--color-link-hover);
}

strong {
  font-weight: var(--fw-bold);
}

img {
  max-width: 100%;
  vertical-align: middle;
  display: inline-block;
}

canvas {
  max-width: 100%;
  margin: 0;
  padding: 0;
}

figure {
  margin: 1.5rem auto;
}

figcaption {
  color: var(--gray3);
  text-align: center;
  margin-top: 0.5rem;
  font-size: var(--font-size-sub-1);
}

/* table */
table {
  border-collapse: collapse;
  width: 100%;
}
table td {
  border: 1px solid var(--gray4);
  padding: 0.5rem;
}

table thead th {
  padding-bottom: 0.5rem;
  border-bottom: 1px solid var(--gray4);
}

table thead th:first-child {
  border-bottom: none;
}

table tr:first-child td {
  border-top: 0;
}

table tr td:first-child {
  text-align: right;
  border: none;
  padding-right: 1rem;
}

table tr td:first-child {
  border-left: 0;
}

/* highlight */

::selection {
  background: var(--color-marker);
}
